import echo from '@thatdevops/core/utils/echo'
import { makeRunnable } from '@thatdevops/core/utils/makeRunable'
import spawn from '@thatdevops/core/utils/spawn'
import doNothing from '@thats/utils/misc/doNothing'
import { DateTime } from 'luxon'

export const commitPush = makeRunnable<{
	commitMessage?: string
	deploy?: boolean
}>(async o => {
	const commitMessage = o.commitMessage
		? o.commitMessage
		: `Changes ${DateTime.now().toLocaleString(DateTime.DATETIME_FULL)}`
	const message = commitMessage + (o.deploy ? '' : ' [skip-cd]')
	echo(`Committing to git "${message}"`)
	await spawn('git', ['add', '-A']).catch(doNothing)
	await spawn('git', ['commit', '-a', '-m', message]).catch(doNothing)
})
export default commitPush
